Retail Express API 2.1

Applies a discount during Purchase Order Receipt

Sample request:

POST /purchaseorderreceipts/1/discount
{
    "discount_amount_type": "Amount",
    "distribute_by": "Value",
    "discount_amount": 1.1,
    "purchase_order_receipt_item_ids": [1, 2]
}
post
https://api.retailexpress.com.au/v2.1/purchaseorderreceipts/{id}/discount

Path Parameters

idinteger(int32)required

Purchase Order Receipt id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Purchase Order Receipt discount model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

Success

post/purchaseorderreceipts/{id}/discount

Body

{}
 

purchaseorders

Gets Purchase Order

Gets Purchase Order

get
https://api.retailexpress.com.au/v2.1/purchaseorders/{id}

Query Parameters

include_itemsboolean

Include items

Path Parameters

idinteger(int32)required

Purchase Order id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Purchase Order

PurchaseOrder

Purchase order model

* Additional properties are NOT allowed.
idinteger | null(int32)

Purchase order id

external_purchase_order_idstring | null

External purchase order id

reference_purchase_order_idinteger | null(int32)

Reference purchase order id

statusobject

Purchase order status model

* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplierobject

Purchase order supplier model

* Additional properties are NOT allowed.
Show Child Parameters
sailedstring | null(date-time)

Sailed date

deposit_duestring | null(date-time)

Deposit due date

balance_duestring | null(date-time)

balance due date

supplier_commentsstring | null

Supplier comments

purchase_order_templatestring | null

Purchase order template

update_linked_transfers_on_receipt_tostring | null

Update linked transfers on receipt to
Avalable values are: qty_allocated or Allocate, qty_picked or Pick, qty_dispatched or Dispatch
Can be updated only when PO has status Incomplete, OnOrder, ReceivingInProgress

autoreplenishment_invoice_numberstring | null

Autoreplenishment invoice number

autoreplenishment_invoice_referencestring | null

Autoreplenishment invoice reference

original_departurestring | null(date-time)

Original departure

etastring | null(date-time)

Eta

container_numberstring | null

Container number

deliver_tostring | null

Deliver to

shipping_statusobject

Purchase order shipping status model

* Additional properties are NOT allowed.
Show Child Parameters
shipping_typeobject

Purchase order shipping type model

* Additional properties are NOT allowed.
Show Child Parameters
shipping_portobject

Purchase order shipping port model

* Additional properties are NOT allowed.
Show Child Parameters
country_of_originobject
* Additional properties are NOT allowed.
Show Child Parameters
shipping_termsstring | null

Shipping terms

payment_termsstring | null

Payment terms

invoice_documentsstring | null

Invoice documents

packing_list_documentsstring | null

Packing list documents

packing_declaration_documentsstring | null

Packing declaration documents

fumes_documentsstring | null

Fumes documents

certificate_of_original_documentsstring | null

Certificate of original documents

bill_of_lading_documentsstring | null

Bill of lading documents

internal_commentsstring | null

Internal comments

supplier_invoice_numberstring | null

Supplier Invoice Number

depositnumber | null(double)

Deposit

purchase_order_itemsarray | null[object]

Purchase Order Item

* Additional properties are NOT allowed.
Show Child Parameters
total_weightnumber | null(double)

Total weight

total_cubicnumber | null(double)

Total cubic

total_quantity_special_orderinteger | null(int64)

Total quantity special order

total_quantity_receivedinteger | null(int64)

Total quantity received

total_quantity_remaininginteger | null(int64)

Total quantity remaining

total_quantity_cancelledinteger | null(int64)

Total quantity cancelled

total_quantity_orderedinteger | null(int64)

Total quantity ordered

total_supplier_buy_exnumber | null(double)

Total supplier buy ex

total_quantity_linked_transfersinteger(int32)

Total quantity linked transfers

fob_currencyobject
* Additional properties are NOT allowed.
Show Child Parameters
created_onstring | null(date-time)

Created on

modified_onstring(date-time)

Modified on

sent_onstring | null(date-time)

Sent on

received_onstring | null(date-time)

Received on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
get/purchaseorders/{id}
 
application/json

Creates Purchase Order

Sample request:

POST ​/purchaseorders
{
  "external_purchase_order_id": "external purchase order id",
  "reference_purchase_order_id": 1,
  "status": {
    "id": 1
  },
  "outlet": {
    "id": 1
  },
  "supplier": {
    "id": 1
  },
  "sailed": "2021-08-21",
  "deposit_due": "2021-08-21",
  "balance_due": "2021-08-21",
  "supplier_comments": "supplier_comments",
  "purchase_order_template": "purchase order template",
  "update_linked_transfers_on_receipt_to": "Allocate",
  "autoreplenishment_invoice_number": "100001",
  "autoreplenishment_invoice_reference": "autoreplenishment invoice reference",
  "original_departure": "2021-08-21",
  "eta": "2021-08-21",
  "container_number": "container number",
  "deliver_to": "container number",
  "shipping_status": {
    "id": 1
  },
  "shipping_type": {
    "id": 1
  },
  "shipping_port": {
    "id": 1
  },
  "country_of_origin": {
    "id": 2
  },
  "shipping_terms": "shipping terms",
  "payment_terms": "payment terms",
  "invoice_documents": "invoice documents",
  "packing_list_documents": "packing list documents",
  "packing_declaration_documents": "packing declaration documents",
  "fumes_documents": "fumes documents",
  "certificate_of_original_documents": "certificate of original documents",
  "bill_of_lading_documents": "bill of lading documents",
  "internal_comments": "internal comments",
  "deposit": 0.1,
  "fob_currency": {
    "id": 1
  },
  "sent_on": "2021-08-21",
  "purchase_order_items": 
  [
    {
        "product": {
            "id" : 124001
        },
        "quantity_ordered": 1,
        "supplier_buy_ex": 1.1,
        "quantity_received": 1
    }
  ]
}
post
https://api.retailexpress.com.au/v2.1/purchaseorders

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Purchase Order model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Purchase Order created

PurchaseOrder

Purchase order model

* Additional properties are NOT allowed.
idinteger | null(int32)

Purchase order id

external_purchase_order_idstring | null

External purchase order id

reference_purchase_order_idinteger | null(int32)

Reference purchase order id

statusobject

Purchase order status model

* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplierobject

Purchase order supplier model

* Additional properties are NOT allowed.
Show Child Parameters
sailedstring | null(date-time)

Sailed date

deposit_duestring | null(date-time)

Deposit due date

balance_duestring | null(date-time)

balance due date

supplier_commentsstring | null

Supplier comments

purchase_order_templatestring | null

Purchase order template

update_linked_transfers_on_receipt_tostring | null

Update linked transfers on receipt to
Avalable values are: qty_allocated or Allocate, qty_picked or Pick, qty_dispatched or Dispatch
Can be updated only when PO has status Incomplete, OnOrder, ReceivingInProgress

autoreplenishment_invoice_numberstring | null

Autoreplenishment invoice number

autoreplenishment_invoice_referencestring | null

Autoreplenishment invoice reference

original_departurestring | null(date-time)

Original departure

etastring | null(date-time)

Eta

container_numberstring | null

Container number

deliver_tostring | null

Deliver to

shipping_statusobject

Purchase order shipping status model

* Additional properties are NOT allowed.
Show Child Parameters
shipping_typeobject

Purchase order shipping type model

* Additional properties are NOT allowed.
Show Child Parameters
shipping_portobject

Purchase order shipping port model

* Additional properties are NOT allowed.
Show Child Parameters
country_of_originobject
* Additional properties are NOT allowed.
Show Child Parameters
shipping_termsstring | null

Shipping terms

payment_termsstring | null

Payment terms

invoice_documentsstring | null

Invoice documents

packing_list_documentsstring | null

Packing list documents

packing_declaration_documentsstring | null

Packing declaration documents

fumes_documentsstring | null

Fumes documents

certificate_of_original_documentsstring | null

Certificate of original documents

bill_of_lading_documentsstring | null

Bill of lading documents

internal_commentsstring | null

Internal comments

supplier_invoice_numberstring | null

Supplier Invoice Number

depositnumber | null(double)

Deposit

purchase_order_itemsarray | null[object]

Purchase Order Item

* Additional properties are NOT allowed.
Show Child Parameters
total_weightnumber | null(double)

Total weight

total_cubicnumber | null(double)

Total cubic

total_quantity_special_orderinteger | null(int64)

Total quantity special order

total_quantity_receivedinteger | null(int64)

Total quantity received

total_quantity_remaininginteger | null(int64)

Total quantity remaining

total_quantity_cancelledinteger | null(int64)

Total quantity cancelled

total_quantity_orderedinteger | null(int64)

Total quantity ordered

total_supplier_buy_exnumber | null(double)

Total supplier buy ex

total_quantity_linked_transfersinteger(int32)

Total quantity linked transfers

fob_currencyobject
* Additional properties are NOT allowed.
Show Child Parameters
created_onstring | null(date-time)

Created on

modified_onstring(date-time)

Modified on

sent_onstring | null(date-time)

Sent on

received_onstring | null(date-time)

Received on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
post/purchaseorders

Body

{}
 
application/json

Searches Purchase Orders by parameters

Searches Purchase Orders by parameters

get
https://api.retailexpress.com.au/v2.1/purchaseorders

Query Parameters

filter_bystring | null

Filter by.

Available field name values: id, external_purchase_order_id, reference_purchase_order_id, status, outlet, supplier, eta, created_on, modified_on, product_id, created_by_id, created_by_first_name, created_by_surname

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:gte:1,outlet:in:outlet1|outlet2

order_bystring | null

Order by.

Available field name values: id, status, outlet, supplier, eta, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname

Available direction values: asc, desc.

Example: id asc, supplier desc

include_itemsboolean

Include items

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Purchase Orders data

PurchaseOrder.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Purchase order model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/purchaseorders
 
application/json